Skip to main content
POST
Create a channel account

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://app.hubspot.com/oauth/authorize
Token URL
https://api.hubapi.com/oauth/v1/token
Scopes1
conversations.custom_channels.read

Path Parameters

channelId
integer<int32>
required

The unique identifier of the custom channel for which the channel account is being created.

Body

application/json
authorized
boolean
required

A boolean indicating whether the channel account is authorized.

inboxId
string
required

The unique identifier for the inbox associated with this channel account. It is a string.

name
string
required

The name of the channel account. It is a string.

deliveryIdentifier
object

Response

successful operation

active
boolean
required

A boolean indicating whether the channel account is currently active.

archived
boolean
required

A boolean indicating whether the channel account is archived.

authorized
boolean
required

A boolean indicating whether the channel account is authorized.

channelId
string
required

The unique identifier for the channel to which this account belongs, represented as a string.

createdAt
string<date-time>
required

The date and time when the channel account was created, in ISO 8601 format.

id
string
required

The unique identifier for this channel account, represented as a string.

inboxId
string
required

The unique identifier for the inbox associated with this channel account, represented as a string.

name
string
required

The name of the channel account, represented as a string.

archivedAt
string<date-time>

The date and time when the channel account was archived, in ISO 8601 format.

deliveryIdentifier
object
Last modified on September 9, 2026